## haskell-clash-lib 1.6.3

=== debian/changelog ===
haskell-clash-lib (1.6.3-2) unstable; urgency=medium

  * Disable RTS -N

 -- Scott Talbert <swt@techie.net>  Sun, 02 Oct 2022 17:44:33 -0400

haskell-clash-lib (1.6.3-1) unstable; urgency=low

  * Initial release

 -- Scott Talbert <swt@techie.net>  Wed, 24 Aug 2022 17:01:25 -0400
