=== debian/control ===
--- 
+++ 
@@ -26,8 +26,8 @@
  libghc-base16-bytestring-dev (>= 0.1.1),
  libghc-base16-bytestring-dev (<< 1.1),
  libghc-base16-bytestring-prof,
- libghc-clash-prelude-dev (>= 1.6.3),
- libghc-clash-prelude-dev (<< 1.6.4),
+ libghc-clash-prelude-dev (>= 1.6.4),
+ libghc-clash-prelude-dev (<< 1.6.5),
  libghc-clash-prelude-prof,
  libghc-concurrent-supply-dev (>= 0.1.7),
  libghc-concurrent-supply-dev (<< 0.2),
@@ -60,7 +60,7 @@
  libghc-interpolate-dev (<< 1.0),
  libghc-interpolate-prof,
  libghc-lens-dev (>= 4.10),
- libghc-lens-dev (<< 5.1.0),
+ libghc-lens-dev (<< 5.2.0),
  libghc-lens-prof,
  libghc-ordered-containers-dev (>= 0.2),
  libghc-ordered-containers-dev (<< 0.3),
