## haskell-clash-lib 1.6.6

=== debian/changelog ===
haskell-clash-lib (1.6.6-2) unstable; urgency=medium

  * Patch for newer dependencies.

 -- Clint Adams <clint@debian.org>  Mon, 23 Oct 2023 14:58:15 -0400

haskell-clash-lib (1.6.6-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Mon, 23 Oct 2023 14:25:29 -0400

haskell-clash-lib (1.6.5-1) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Declare compliance with Debian policy 4.6.2

  [ Clint Adams ]
  * New upstream release

 -- Clint Adams <clint@debian.org>  Mon, 23 Oct 2023 12:47:10 -0400
