=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  ghc,
  ghc-prof,
  libghc-aeson-dev (>= 0.6.2.0),
- libghc-aeson-dev (<< 2.1),
+ libghc-aeson-dev (<< 2.3),
  libghc-aeson-prof,
  libghc-aeson-pretty-dev (>= 0.8),
  libghc-aeson-pretty-dev (<< 0.9),
@@ -26,8 +26,8 @@
  libghc-base16-bytestring-dev (>= 0.1.1),
  libghc-base16-bytestring-dev (<< 1.1),
  libghc-base16-bytestring-prof,
- libghc-clash-prelude-dev (>= 1.6.4),
- libghc-clash-prelude-dev (<< 1.6.5),
+ libghc-clash-prelude-dev (>= 1.6.6),
+ libghc-clash-prelude-dev (<< 1.6.7),
  libghc-clash-prelude-prof,
  libghc-concurrent-supply-dev (>= 0.1.7),
  libghc-concurrent-supply-dev (<< 0.2),
@@ -60,7 +60,7 @@
  libghc-interpolate-dev (<< 1.0),
  libghc-interpolate-prof,
  libghc-lens-dev (>= 4.10),
- libghc-lens-dev (<< 5.2.0),
+ libghc-lens-dev (<< 5.3),
  libghc-lens-prof,
  libghc-ordered-containers-dev (>= 0.2),
  libghc-ordered-containers-dev (<< 0.3),
@@ -144,7 +144,7 @@
  libghc-vector-doc,
  libghc-vector-binary-instances-doc,
  libghc-yaml-doc,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://clash-lang.org/
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-clash-lib
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-clash-lib]
