## haskell-clash-lib 1.8.1

=== debian/changelog ===
haskell-clash-lib (1.8.1-2+rpi1) trixie-staging; urgency=medium

  * Disable testsuite.

 -- Peter Michael Green <plugwash@raspbian.org>  Thu, 18 Sep 2025 15:07:37 +0000

haskell-clash-lib (1.8.1-2) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Declare compliance with Debian policy 4.7.0

  [ Scott Talbert ]
  * Sourceful upload for GHC 9.6

 -- Scott Talbert <swt@techie.net>  Tue, 08 Oct 2024 09:17:48 -0400

haskell-clash-lib (1.8.1-1) unstable; urgency=medium

  * New upstream release (Closes: #1054979)

 -- Scott Talbert <swt@techie.net>  Wed, 15 Nov 2023 20:58:31 -0500
