=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper (>= 10),
  haskell-devscripts-minimal | haskell-devscripts (>= 0.13),
  cdbs,
- ghc,
+ ghc (>= 9.6),
  ghc-prof,
  libghc-aeson-dev (>= 0.6.2.0),
  libghc-aeson-dev (<< 2.3),
@@ -15,7 +15,7 @@
  libghc-aeson-pretty-dev (<< 0.9),
  libghc-aeson-pretty-prof,
  libghc-ansi-terminal-dev (>= 0.8.0.0),
- libghc-ansi-terminal-dev (<< 0.12),
+ libghc-ansi-terminal-dev (<< 1.1),
  libghc-ansi-terminal-prof,
  libghc-async-dev (>= 2.2.0),
  libghc-async-dev (<< 2.3),
@@ -23,11 +23,14 @@
  libghc-attoparsec-dev (>= 0.10.4.0),
  libghc-attoparsec-dev (<< 0.15),
  libghc-attoparsec-prof,
+ libghc-attoparsec-aeson-dev (>= 2.1),
+ libghc-attoparsec-aeson-dev (<< 2.3),
+ libghc-attoparsec-aeson-prof,
  libghc-base16-bytestring-dev (>= 0.1.1),
  libghc-base16-bytestring-dev (<< 1.1),
  libghc-base16-bytestring-prof,
- libghc-clash-prelude-dev (>= 1.6.6),
- libghc-clash-prelude-dev (<< 1.6.7),
+ libghc-clash-prelude-dev (>= 1.8.1),
+ libghc-clash-prelude-dev (<< 1.8.2),
  libghc-clash-prelude-prof,
  libghc-concurrent-supply-dev (>= 0.1.7),
  libghc-concurrent-supply-dev (<< 0.2),
@@ -44,9 +47,16 @@
  libghc-dlist-dev (>= 0.8),
  libghc-dlist-dev (<< 1.1),
  libghc-dlist-prof,
+ libghc-doctest-parallel-dev (>= 0.2),
+ libghc-doctest-parallel-dev (<< 0.4),
+ libghc-doctest-parallel-prof,
  libghc-extra-dev (>= 1.6.17),
  libghc-extra-dev (<< 1.8),
  libghc-extra-prof,
+ libghc-ghc-typelits-knownnat-dev,
+ libghc-ghc-typelits-knownnat-prof,
+ libghc-glob-dev,
+ libghc-glob-prof,
  libghc-hashable-dev (>= 1.2.1.0),
  libghc-hashable-dev (<< 1.5),
  libghc-hashable-prof,
@@ -56,9 +66,9 @@
  libghc-hint-dev (>= 0.7),
  libghc-hint-dev (<< 0.10),
  libghc-hint-prof,
- libghc-interpolate-dev (>= 0.2.0),
- libghc-interpolate-dev (<< 1.0),
- libghc-interpolate-prof,
+ libghc-infinite-list-dev (>= 0.1),
+ libghc-infinite-list-dev (<< 0.2),
+ libghc-infinite-list-prof,
  libghc-lens-dev (>= 4.10),
  libghc-lens-dev (<< 5.3),
  libghc-lens-prof,
@@ -71,18 +81,30 @@
  libghc-prettyprinter-dev (>= 1.2.0.1),
  libghc-prettyprinter-dev (<< 1.8),
  libghc-prettyprinter-prof,
+ libghc-prettyprinter-interp-dev (>= 0.2),
+ libghc-prettyprinter-interp-dev (<< 0.3),
+ libghc-prettyprinter-interp-prof,
  libghc-primitive-dev (>= 0.5.0.1),
  libghc-primitive-dev (<< 1.0),
  libghc-primitive-prof,
  libghc-quickcheck-text-dev,
  libghc-quickcheck-text-prof,
+ libghc-src-exts-dev,
+ libghc-src-exts-prof,
+ libghc-stringsearch-dev,
+ libghc-stringsearch-prof,
+ libghc-string-interpolate-dev (>= 0.3),
+ libghc-string-interpolate-dev (<< 0.4),
+ libghc-string-interpolate-prof,
  libghc-tasty-dev (>= 1.2),
- libghc-tasty-dev (<< 1.5),
+ libghc-tasty-dev (<< 1.6),
  libghc-tasty-prof,
  libghc-tasty-hunit-dev,
  libghc-tasty-hunit-prof,
  libghc-tasty-quickcheck-dev,
  libghc-tasty-quickcheck-prof,
+ libghc-tasty-th-dev,
+ libghc-tasty-th-prof,
  libghc-temporary-dev (>= 1.2.1),
  libghc-temporary-dev (<< 1.4),
  libghc-temporary-prof,
@@ -104,18 +126,13 @@
  libghc-yaml-dev (>= 0.11),
  libghc-yaml-dev (<< 0.12),
  libghc-yaml-prof,
- libghc-glob-dev,
- libghc-glob-prof,
- libghc-aeson-dev,
- libghc-stringsearch-dev,
- libghc-stringsearch-prof,
- libghc-yaml-dev,
 Build-Depends-Indep: ghc-doc,
  libghc-aeson-doc,
  libghc-aeson-pretty-doc,
  libghc-ansi-terminal-doc,
  libghc-async-doc,
  libghc-attoparsec-doc,
+ libghc-attoparsec-aeson-doc,
  libghc-base16-bytestring-doc,
  libghc-clash-prelude-doc,
  libghc-concurrent-supply-doc,
@@ -127,13 +144,15 @@
  libghc-hashable-doc,
  libghc-src-meta-doc,
  libghc-hint-doc,
- libghc-interpolate-doc,
+ libghc-infinite-list-doc,
  libghc-lens-doc,
  libghc-ordered-containers-doc,
  libghc-pretty-show-doc,
  libghc-prettyprinter-doc,
+ libghc-prettyprinter-interp-doc,
  libghc-primitive-doc,
  libghc-quickcheck-text-doc,
+ libghc-string-interpolate-doc,
  libghc-tasty-doc,
  libghc-tasty-hunit-doc,
  libghc-tasty-quickcheck-doc,
@@ -144,7 +163,7 @@
  libghc-vector-doc,
  libghc-vector-binary-instances-doc,
  libghc-yaml-doc,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://clash-lang.org/
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-clash-lib
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-clash-lib]
