## haskell-clash-lib 1.8.4

=== debian/changelog ===
haskell-clash-lib (1.8.4-1) unstable; urgency=medium

  * Build using dh-haskell
  * New upstream release

 -- Scott Talbert <swt@techie.net>  Thu, 12 Feb 2026 19:38:51 -0500
