=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Uploaders: Scott Talbert <swt@techie.net>
 Priority: optional
 Section: haskell
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 13),
  haskell-devscripts-minimal | haskell-devscripts (>= 0.13),
- cdbs,
- ghc (>= 9.6),
+ dh-sequence-haskell,
+ ghc (>= 9.10),
  ghc-prof,
  libghc-aeson-dev (>= 0.6.2.0),
  libghc-aeson-dev (<< 2.3),
@@ -15,7 +15,7 @@
  libghc-aeson-pretty-dev (<< 0.9),
  libghc-aeson-pretty-prof,
  libghc-ansi-terminal-dev (>= 0.8.0.0),
- libghc-ansi-terminal-dev (<< 1.1),
+ libghc-ansi-terminal-dev (<< 1.2),
  libghc-ansi-terminal-prof,
  libghc-async-dev (>= 2.2.0),
  libghc-async-dev (<< 2.3),
@@ -29,12 +29,9 @@
  libghc-base16-bytestring-dev (>= 0.1.1),
  libghc-base16-bytestring-dev (<< 1.1),
  libghc-base16-bytestring-prof,
- libghc-clash-prelude-dev (>= 1.8.1),
- libghc-clash-prelude-dev (<< 1.8.2),
+ libghc-clash-prelude-dev (>= 1.8.4),
+ libghc-clash-prelude-dev (<< 1.8.5),
  libghc-clash-prelude-prof,
- libghc-concurrent-supply-dev (>= 0.1.7),
- libghc-concurrent-supply-dev (<< 0.2),
- libghc-concurrent-supply-prof,
  libghc-cryptohash-sha256-dev (>= 0.11),
  libghc-cryptohash-sha256-dev (<< 0.12),
  libghc-cryptohash-sha256-prof,
@@ -42,23 +39,23 @@
  libghc-data-binary-ieee754-dev (<< 0.6),
  libghc-data-binary-ieee754-prof,
  libghc-data-default-dev (>= 0.7),
- libghc-data-default-dev (<< 0.8),
+ libghc-data-default-dev (<< 0.9),
  libghc-data-default-prof,
  libghc-dlist-dev (>= 0.8),
  libghc-dlist-dev (<< 1.1),
  libghc-dlist-prof,
  libghc-doctest-parallel-dev (>= 0.2),
- libghc-doctest-parallel-dev (<< 0.4),
+ libghc-doctest-parallel-dev (<< 0.5),
  libghc-doctest-parallel-prof,
  libghc-extra-dev (>= 1.6.17),
- libghc-extra-dev (<< 1.8),
+ libghc-extra-dev (<< 1.9),
  libghc-extra-prof,
  libghc-ghc-typelits-knownnat-dev,
  libghc-ghc-typelits-knownnat-prof,
  libghc-glob-dev,
  libghc-glob-prof,
  libghc-hashable-dev (>= 1.2.1.0),
- libghc-hashable-dev (<< 1.5),
+ libghc-hashable-dev (<< 1.6),
  libghc-hashable-prof,
  libghc-src-meta-dev (>= 0.8),
  libghc-src-meta-dev (<< 0.9),
@@ -70,7 +67,7 @@
  libghc-infinite-list-dev (<< 0.2),
  libghc-infinite-list-prof,
  libghc-lens-dev (>= 4.10),
- libghc-lens-dev (<< 5.3),
+ libghc-lens-dev (<< 5.4),
  libghc-lens-prof,
  libghc-ordered-containers-dev (>= 0.2),
  libghc-ordered-containers-dev (<< 0.3),
@@ -135,7 +132,6 @@
  libghc-attoparsec-aeson-doc,
  libghc-base16-bytestring-doc,
  libghc-clash-prelude-doc,
- libghc-concurrent-supply-doc,
  libghc-cryptohash-sha256-doc,
  libghc-data-binary-ieee754-doc,
  libghc-data-default-doc,
@@ -163,7 +159,7 @@
  libghc-vector-doc,
  libghc-vector-binary-instances-doc,
  libghc-yaml-doc,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Homepage: https://clash-lang.org/
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-clash-lib
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-clash-lib]
